## morse-simulator 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(PACKAGE_NAME morse)
set(PACKAGE_VERSION "1.0.1")

# only available from cmake-2.8.4
if(COMMAND cmake_policy)
	if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} EQUAL 8 AND ${CMAKE_PATCH_VERSION} GREATER 3)
		cmake_policy(SET CMP0017 OLD)
	endif()
endif()



option(BUILD_CORE_SUPPORT "Build and install morse core" ON)
option(BUILD_DOC_SUPPORT "Build and install morse documentation (Requiere Sphinx)" OFF)

option(BUILD_POCOLIBS_SUPPORT "Build pocolibs framework support" OFF)
option(BUILD_YARP2_SUPPORT "Build yarp framework support" OFF)
option(BUILD_ROS_SUPPORT "Build ROS middleware support" OFF)
option(BUILD_MOOS_SUPPORT "Build MOOS middleware support" OFF)
option(BUILD_HLA_SUPPORT "Build HLA middleware support. Also used for distributed HLA simulation." OFF)

option(PYMORSE_SUPPORT "Build and install the Python bindings for MORSE." OFF)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/config/)
find_package(PkgConfig REQUIRED)

set(PythonInterp_FIND_VERSION 3.2)
find_package(PythonInterp REQUIRED)

set(PythonLibs_FIND_VERSION "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")
set(PythonLibs_FIND_VERSION_EXACT "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")
find_package(PythonLibs REQUIRED)

INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_DIRS})

EXECUTE_PROCESS(COMMAND
					${PYTHON_EXECUTABLE} -c "import distutils.sysconfig, sys; sys.stdout.write(distutils.sysconfig.get_python_lib(1,0,\"\"))"
					OUTPUT_VARIABLE PYTHON_INSTALL
					ERROR_VARIABLE PYTHON_STDERR
					RESULT_VARIABLE PYTHON_ERR
				)
if(NOT PYTHON_INSTDIR)
	SET(PYTHON_INSTDIR ${CMAKE_INSTALL_PREFIX}/${PYTHON_INSTALL}) 
endif(NOT PYTHON_INSTDIR)
if(WIN32)
    STRING(REGEX REPLACE "\\\\" "/" PYTHON_INSTDIR ${PYTHON_INSTDIR})
endif(WIN32)
MESSAGE(STATUS "will install python files in ${PYTHON_INSTDIR}")

# Compute revision
ADD_CUSTOM_TARGET(revisiontag ALL)
ADD_CUSTOM_COMMAND(TARGET revisiontag COMMAND ${CMAKE_COMMAND}
	   -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} 
	   -P ${CMAKE_CURRENT_SOURCE_DIR}/config/version.cmake)

if (BUILD_CORE_SUPPORT)
	INSTALL(FILES ${CMAKE_BINARY_DIR}/version.py DESTINATION ${PYTHON_INSTDIR}/morse/)
endif(BUILD_CORE_SUPPORT)

if (BUILD_YARP2_SUPPORT)
	EXECUTE_PROCESS(COMMAND 
					${PYTHON_EXECUTABLE} -c "import yarp;"
					RESULT_VARIABLE YARP_PY_ERR
				   )
	if (YARP_PY_ERR)
		MESSAGE(FATAL_ERROR "BUILD_YARP_SUPPORT is required, but '${PYTHON_EXECUTABLE}' can't find yarp python binding")
	endif (YARP_PY_ERR)
endif(BUILD_YARP2_SUPPORT)


# check to make sure pymoos is installed
if (BUILD_MOOS_SUPPORT)
	EXECUTE_PROCESS(COMMAND 
					${PYTHON_EXECUTABLE} -c "import pymoos.MOOSCommClient;"
					RESULT_VARIABLE MOOS_PY_ERR
				   )
	if (MOOS_PY_ERR)
		#message(${MOOS_PY_ERR})
		#MESSAGE(FATAL_ERROR "BUILD_MOOS_SUPPORT is required, but '${PYTHON_EXECUTABLE}' can't find MOOS python binding")
	endif (MOOS_PY_ERR)
endif(BUILD_MOOS_SUPPORT)

if (BUILD_HLA_SUPPORT)
	EXECUTE_PROCESS(COMMAND 
					${PYTHON_EXECUTABLE} -c "import hla;"
					RESULT_VARIABLE HLA_PY_ERR
				   )
	if (HLA_PY_ERR)
		MESSAGE(FATAL_ERROR "BUILD_HLA_SUPPORT is required, but '${PYTHON_EXECUTABLE}' can't find 'hla' python binding")
	endif (HLA_PY_ERR)
endif(BUILD_HLA_SUPPORT)

ADD_SUBDIRECTORY(src)

IF(BUILD_CORE_SUPPORT)
INSTALL (DIRECTORY data examples addons
	     DESTINATION ${CMAKE_INSTALL_PREFIX}/share/morse
         REGEX .*blend.$ EXCLUDE
         REGEX .*py.$ EXCLUDE
		 REGEX .*clients.* EXCLUDE
		)

IF(WIN32)
CONFIGURE_FILE(
   ${CMAKE_CURRENT_SOURCE_DIR}/bin/morse.in
   ${CMAKE_CURRENT_BINARY_DIR}/bin/morserun.py
   )
CONFIGURE_FILE(
   ${CMAKE_CURRENT_SOURCE_DIR}/bin/multinode_server.in
   ${CMAKE_CURRENT_BINARY_DIR}/bin/multinode_server.py
   )
INSTALL(PROGRAMS
       ${CMAKE_CURRENT_BINARY_DIR}/bin/morserun.py
       ${CMAKE_CURRENT_BINARY_DIR}/bin/multinode_server.py
       DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
       )
ELSE(WIN32)
CONFIGURE_FILE(
	${CMAKE_CURRENT_SOURCE_DIR}/bin/morse.in
	${CMAKE_CURRENT_BINARY_DIR}/bin/morse
	)
CONFIGURE_FILE(
	${CMAKE_CURRENT_SOURCE_DIR}/bin/morseexec.in
	${CMAKE_CURRENT_BINARY_DIR}/bin/morseexec
	)
CONFIGURE_FILE(
	${CMAKE_CURRENT_SOURCE_DIR}/bin/multinode_server.in
	${CMAKE_CURRENT_BINARY_DIR}/bin/multinode_server
	)
INSTALL(PROGRAMS
		${CMAKE_CURRENT_BINARY_DIR}/bin/morse
		${CMAKE_CURRENT_BINARY_DIR}/bin/morseexec
		${CMAKE_CURRENT_BINARY_DIR}/bin/multinode_server
		DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
	    )
ENDIF(WIN32)
ENDIF()

ADD_SUBDIRECTORY(bindings)

###### Testing ######
enable_testing()
ADD_SUBDIRECTORY(testing)

IF (BUILD_DOC_SUPPORT)
### Doc target ###
CONFIGURE_FILE(
	${CMAKE_CURRENT_SOURCE_DIR}/doc/conf.py.in
	${CMAKE_CURRENT_BINARY_DIR}/doc/conf.py
	)

FIND_PROGRAM(SPHINX_BUILD NAMES sphinx-build)
IF (NOT SPHINX_BUILD)
	MESSAGE(FATAL_ERROR "Can't find sphinx-build : will not build the documentation")
ELSE()
	SET (CMAKE_DOC_OUT ${CMAKE_CURRENT_BINARY_DIR}/doc)
	SET (SPHINX_OUTPUT ${CMAKE_DOC_OUT}/html)
	SET (SPHINX_SRC ${CMAKE_DOC_OUT}/src)
	SET (SPHINX_LATEX_OUTPUT ${CMAKE_DOC_OUT}/tex)
	SET (SPHINX_MAN_OUTPUT ${CMAKE_DOC_OUT}/man)
	SET (SPHINX_FALSE_PYTHON_ENV ${CMAKE_CURRENT_BINARY_DIR}/fakeenv)
	SET (PYTHON_DOC_ENV env PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}:${CMAKE_CURRENT_BINARY_DIR}/src:${SPHINX_FALSE_PYTHON_ENV}:${CMAKE_CURRENT_SOURCE_DIR}/src:${CMAKE_CURRENT_SOURCE_DIR}/testing:${CMAKE_CURRENT_SOURCE_DIR}/bindings/pymorse/src/:$$PYTHONPATH PYTHONDONTWRITEBYTECODE="morse" LANG="C.UTF-8" LC_ALL="C.UTF-8")
	SET (SPHINX_BUILD_ENV ${PYTHON_DOC_ENV} ${SPHINX_BUILD})

	# Copy the documentation in builddir, so we can include the generated part too
	ADD_CUSTOM_TARGET(
		copy_doc ALL
		COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/doc/morse ${SPHINX_SRC}/morse
		COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/doc/media ${SPHINX_SRC}/media
	)

	# Generate the documentation from the different components
	ADD_CUSTOM_TARGET(
		generate_doc ALL
		COMMAND ${PYTHON_DOC_ENV} ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/doc/tools/generate_doc
		WORKING_DIRECTORY ${SPHINX_SRC}/morse/user/
	)

	ADD_DEPENDENCIES(generate_doc copy_doc ${ALL_C_PYTHON_MODULES})

	# Populate the false python environment
	ADD_CUSTOM_TARGET(
		populate_false_env ALL
		COMMAND ${CMAKE_COMMAND} -E make_directory ${SPHINX_FALSE_PYTHON_ENV}
		COMMAND ${CMAKE_COMMAND} -E touch ${SPHINX_FALSE_PYTHON_ENV}/mathutils.py
		COMMAND ${CMAKE_COMMAND} -E touch ${SPHINX_FALSE_PYTHON_ENV}/bge.py
		COMMAND ${CMAKE_COMMAND} -E touch ${SPHINX_FALSE_PYTHON_ENV}/PhysicsConstraints.py

		COMMAND ${CMAKE_COMMAND} -E make_directory ${SPHINX_FALSE_PYTHON_ENV}/hla
		COMMAND ${CMAKE_COMMAND} -E touch ${SPHINX_FALSE_PYTHON_ENV}/hla/__init__.py

		COMMAND ${CMAKE_COMMAND} -E make_directory ${SPHINX_FALSE_PYTHON_ENV}/pymoos
		COMMAND ${CMAKE_COMMAND} -E touch ${SPHINX_FALSE_PYTHON_ENV}/pymoos/__init__.py
		COMMAND ${CMAKE_COMMAND} -E touch ${SPHINX_FALSE_PYTHON_ENV}/pymoos/MOOSCommClient.py

		COMMAND ${CMAKE_COMMAND} -E touch ${SPHINX_FALSE_PYTHON_ENV}/yarp.py
	)

	FILE(WRITE ${SPHINX_FALSE_PYTHON_ENV}/hla/omt.py "HLAfloat32LE=0\ndef HLAfixedArray(x,y,z):\n    pass")
	FILE(WRITE ${SPHINX_FALSE_PYTHON_ENV}/hla/rti.py "class FederateAmbassador:\n    pass")

	# GeNoM fake stuff
	FOREACH(lib genPos lwr niut pom platine spark stereopixel viam viman)
		ADD_CUSTOM_TARGET(
			populate_false_env_${lib} ALL
			COMMAND ${CMAKE_COMMAND} -E make_directory ${SPHINX_FALSE_PYTHON_ENV}/${lib}
			COMMAND ${CMAKE_COMMAND} -E touch ${SPHINX_FALSE_PYTHON_ENV}/${lib}/struct.py
			COMMAND ${CMAKE_COMMAND} -E touch ${SPHINX_FALSE_PYTHON_ENV}/${lib}/__init__.py
		)
		ADD_DEPENDENCIES(generate_doc populate_false_env_${lib})
	ENDFOREACH()


	ADD_DEPENDENCIES(copy_doc revisiontag ${SPHINX_FALSE_PYTHON_ENV}/hla/omt.py)


	FIND_PROGRAM(SPHINX_APIDOC NAMES sphinx-apidoc)
	IF (SPHINX_APIDOC)
		ADD_CUSTOM_TARGET(
			generate_api_doc ALL
			COMMAND ${PYTHON_DOC_ENV} ${SPHINX_APIDOC} -f -o ${SPHINX_SRC}/morse/user/code ${CMAKE_CURRENT_SOURCE_DIR}/src
			COMMAND ${PYTHON_DOC_ENV} ${SPHINX_APIDOC} -f -o ${SPHINX_SRC}/morse/user/code ${CMAKE_CURRENT_SOURCE_DIR}/testing)
	ELSE()
		ADD_CUSTOM_TARGET(
			generate_api_doc ALL
			COMMAND ${CMAKE_COMMAND} -E echo "sphinx-apidoc not found : skipping api documentation"
		)
	ENDIF()
	ADD_DEPENDENCIES(generate_api_doc copy_doc populate_false_env)

	# Generate API doc if we have the sphinx-api tool

	ADD_CUSTOM_TARGET(
		doc ALL
		COMMAND ${SPHINX_BUILD_ENV} -b html
								    -c ${CMAKE_DOC_OUT}
									${SPHINX_SRC}/morse
								    ${SPHINX_OUTPUT}
	)
	ADD_DEPENDENCIES(doc generate_doc generate_api_doc)

	FIND_PROGRAM(GZIP NAMES gzip)
	IF (NOT GZIP)
		MESSAGE(STATUS "Can't find gzip : will not build man pages")
	ELSE()
		ADD_CUSTOM_TARGET(man ALL COMMAND ${SPHINX_BUILD_ENV} -b man
									-c ${CMAKE_CURRENT_BINARY_DIR}/doc
									   ${CMAKE_CURRENT_SOURCE_DIR}/doc/man
        								   ${SPHINX_MAN_OUTPUT} &&
						  ${GZIP} -f ${SPHINX_MAN_OUTPUT}/*.1)
		INSTALL(FILES ${SPHINX_MAN_OUTPUT}/morse.1.gz 
					  ${SPHINX_MAN_OUTPUT}/morseexec.1.gz 
					  ${SPHINX_MAN_OUTPUT}/multinode_server.1.gz
			DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1
		)
	ENDIF()

	INSTALL(DIRECTORY ${SPHINX_OUTPUT}
			DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/morse
			REGEX .doctrees.* EXCLUDE
			REGEX _sources.* EXCLUDE
			REGEX .*.inv EXCLUDE
			REGEX .buildinfo EXCLUDE
			)

	ADD_CUSTOM_TARGET(
		latex_doc 
		COMMAND ${SPHINX_BUILD_ENV} -b latex
									-c ${CMAKE_DOC_OUT}
									${SPHINX_SRC}/morse
									${SPHINX_LATEX_OUTPUT}
	)
ENDIF()
ENDIF()

### CPack ###
EXECUTE_PROCESS(COMMAND
				which dpkg
					OUTPUT_VARIABLE SYSTEST_DPKG)
EXECUTE_PROCESS(COMMAND
				which rpm
					OUTPUT_VARIABLE SYSTEST_RPM)
IF (SYSTEST_DPKG)
	SET(CPACK_GENERATOR "DEB")
ELSEIF (SYSTEST_RPM)
	SET(CPACK_GENERATOR "RPM")
ELSE ()
	SET(CPACK_GENERATOR "TGZ")
ENDIF()
# TODO find a better way to check debian or redhat ?

SET(CPACK_PACKAGE_CONTACT "morse-users <morse-users@laas.fr>")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "MORSE the Open Robots Simulator")
SET(CPACK_PACKAGE_NAME "openrobots-morse")
SET(CPACK_PACKAGE_VENDOR "CNRS/LAAS")
SET(CPACK_PACKAGE_VERSION ${PACKAGE_VERSION})
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
SET(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README")

SET(CPACK_DEBIAN_PACKAGE_DEPENDS "python3.2-dev")
SET(CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://morse.openrobots.org")

INCLUDE(CPack)

### Uninstall ###
configure_file("${CMAKE_HOME_DIRECTORY}/config/cmake_uninstall.cmake.in" "cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}" -P "cmake_uninstall.cmake")

=== testing/CMakeLists.txt ===
macro(add_morse_test name)
	set(full_name ${CMAKE_CURRENT_SOURCE_DIR}/${name})
	string(REPLACE "${CMAKE_SOURCE_DIR}/testing/" "" test_name ${full_name})
	add_test(NAME ${test_name} COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/${name}.py)
endmacro()

if (BUILD_CORE_SUPPORT)
	add_subdirectory(base)
	add_subdirectory(robots/human)
	add_subdirectory(robots/segway)
	add_subdirectory(robots/pr2)
	add_subdirectory(robots/pionner3dx)
endif()

if (BUILD_ROS_SUPPORT)
	add_subdirectory(middlewares/ros)
endif()

if (BUILD_YARP2_SUPPORT)
	add_subdirectory(middlewares/yarp)
endif()

=== src/morse/CMakeLists.txt ===

if(BUILD_CORE_SUPPORT)
INSTALL(FILES __init__.py #init_middleware.py
        DESTINATION ${PYTHON_INSTDIR}/morse
        )

INSTALL(DIRECTORY core actuators geolandloader helpers blender services robots testing
        DESTINATION ${PYTHON_INSTDIR}/morse
        REGEX .*py.$ EXCLUDE
        )

ADD_SUBDIRECTORY(builder)
ADD_SUBDIRECTORY(modifiers)
ADD_SUBDIRECTORY(sensors)
endif()

ADD_SUBDIRECTORY(multinode)
ADD_SUBDIRECTORY(middleware)

=== testing/base/CMakeLists.txt ===
# Base concept 

add_morse_test(base_testing)
add_morse_test(levels)

# Sensor

add_morse_test(armature_pose_testing)
add_morse_test(battery_testing)
add_morse_test(gps_testing)
add_morse_test(gyroscope_testing)
add_morse_test(odometry_testing)
add_morse_test(pose_testing)
add_morse_test(proximity_testing)
add_morse_test(sick_testing)
add_morse_test(semantic_camera_testing)
add_morse_test(thermometer_testing)
add_morse_test(search_and_rescue_testing)
add_morse_test(video_camera_pgm_testing)

# Actuator

add_morse_test(armature_testing)
add_morse_test(destination_testing)
add_morse_test(gripper_testing)
add_morse_test(light_testing)
add_morse_test(orientation_testing)
add_morse_test(rotorcraft_waypoint_testing)
add_morse_test(steer_force_testing)
add_morse_test(stabilized_quadrirotor_testing)
add_morse_test(teleport_testing)
add_morse_test(vw_testing)
add_morse_test(waypoint_testing)
add_morse_test(xyw_testing)

# Sensor + Actuator 

add_morse_test(ptu_testing)

# Modifier

add_morse_test(ned_testing)
add_morse_test(utm_mod_testing)

# Services

add_morse_test(communication_service_testing)

=== src/morse/modifiers/CMakeLists.txt ===
PYTHON_ADD_MODULE(gaussian gaussian.c)
INSTALL(TARGETS gaussian
		DESTINATION ${PYTHON_INSTDIR}/morse/modifiers)

# install python files
FILE(GLOB PYTHON_FILES *.py)
INSTALL(FILES ${PYTHON_FILES}
        DESTINATION ${PYTHON_INSTDIR}/morse/modifiers)

=== src/morse/middleware/pocolibs/CMakeLists.txt ===
##
## To add a sensor or an actuator to the build, just add it to the according
## list (actuator_list or sensor_list) and add the right entry in
## MODULES_MAP_{entry}
##
## It generates _ors_<module_name>_poster.so, ors_<module_name>_poster.py, and
## we wait for <module_name>.py in the (sensor|actuator) directory)

option(BUILD_POCOLIBS_VIAM_SUPPORT "build viam support" OFF)
option(BUILD_POCOLIBS_STEREOPIXEL_SUPPORT "build image3D support" OFF)

if (BUILD_POCOLIBS_VIAM_SUPPORT)
	pkg_check_modules(POCOLIBS REQUIRED pocolibs)
	include_directories(${POCOLIBS_INCLUDE_DIRS})
	link_directories(${POCOLIBS_LIBRARY_DIRS})

	pkg_check_modules(VIAM REQUIRED viam)
	include_directories(${VIAM_INCLUDE_DIRS})

	python_add_module(viam sensors/viam.c)
	target_link_libraries(viam ${POCOLIBS_LIBRARIES})
	install(TARGETS viam DESTINATION ${PYTHON_INSTDIR}/morse/middleware/pocolibs)
endif()

if (BUILD_POCOLIBS_STEREOPIXEL_SUPPORT)
	pkg_check_modules(POCOLIBS REQUIRED pocolibs)
	include_directories(${POCOLIBS_INCLUDE_DIRS})
	link_directories(${POCOLIBS_LIBRARY_DIRS})

	pkg_check_modules(STEREOPIXELE REQUIRED stereopixel)
	include_directories(${VIAM_INCLUDE_DIRS})

	python_add_module(stereopixel sensors/stereopixel.c)
	target_link_libraries(stereopixel ${POCOLIBS_LIBRARIES})
	install(TARGETS stereopixel DESTINATION ${PYTHON_INSTDIR}/morse/middleware/pocolibs)
endif()

install (FILES __init__.py
		DESTINATION ${PYTHON_INSTDIR}/morse/middleware/pocolibs
		)

install(DIRECTORY overlays sensors actuators
        DESTINATION ${PYTHON_INSTDIR}/morse/middleware/pocolibs
		FILES_MATCHING PATTERN "*.py"
        )

=== debian/changelog ===
morse-simulator (1.0.1-1~exp1) experimental; urgency=low

  * New upstream release
  * Patches applied upstream:
    -

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Apr 2013 16:31:04 +0200

morse-simulator (1.0.0-1~exp5) experimental; urgency=low

  * Fix the build under Ubuntu by forcing usage of Python 3.3
    See LP: #1146637

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 19 Mar 2013 13:21:04 +0100

morse-simulator (1.0.0-1~exp4) experimental; urgency=low

  * Enable the build of the documentation. See upstream bug #302

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Mar 2013 10:46:58 +0100

morse-simulator (1.0.0-1~exp3) experimental; urgency=low

  * Fix a bad dependency (python:depends instead of python3:depends).

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Mar 2013 08:57:07 +0100

morse-simulator (1.0.0-1~exp2) experimental; urgency=low

   [ Dmitrijs Ledkov ]
   * Build against python3-dev instead of python3.2-dev.
   * Call dh_python3.
   * Use python3:Depends, instead of python:Depends.
   * Use pkg-config to find python includes.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Mar 2013 18:02:01 +0100

morse-simulator (1.0.0-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 02 Mar 2013 18:55:48 +0100

morse-simulator (1.0-beta1-1~exp1) experimental; urgency=low

  * New testing upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 16 Feb 2013 10:38:22 +0100

morse-simulator (0.6-1~exp1) experimental; urgency=low

  * New upstream release
  * Update of the watch file
  * Tests disabled
  * Remove __pycache__ directories

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 04 Nov 2012 13:55:01 +0100

=== debian/control ===
Source: morse-simulator
Section: science
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Séverin Lemaignan <severin@guakamole.org>
Build-Depends: debhelper (>= 8.0.0), cmake, python3.3-dev, python3-dev,
 python3-sphinx, pkg-config
Standards-Version: 3.9.3
Homepage: http://morse.openrobots.org/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/morse/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/morse/trunk/


Package: morse-simulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, blender (>= 2.59),
 ${python3:Depends}, morse-simulator-data
Recommends: morse-simulator-doc
Conflicts: morse
Description: Multi-OpenRobot Simulation Engine
 List of morse features:
  * Versatile simulator for generic mobile robots simulation
    (single or multi robots),
  * Realistic and dynamic environments (interaction with other agents like
    humans or objects),
  * Based on well known and widely adopted open source projects (Blender for 3D
    rendering + UI, Bullet for physics simulation, dedicated robotic
    middlewares for communications + robot hardware support),
  * Seamless workflow: since the simulator rely on Blender for both modeling
    and the real time 3D engine, creating and modifying a simulated scene is
    straightforward.
  * Entirely scriptable in Python,
  * Adaptable to various level of simulation realism (for instance the
    simulation of exteroceptive sensors like cameras or a direct access to
    higher level representations of the world, like labeled artifacts),
  * Currently compatible with ROS, YARP and the LAAS OpenRobots robotics
    frameworks,
  * Easy to integrate to other environments via a simple socket interface,
  * Fully open source, BSD license.

Package: morse-simulator-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-OpenRobot Simulation Engine
 List of morse features:
  * Versatile simulator for generic mobile robots simulation
    (single or multi robots),
  * Realistic and dynamic environments (interaction with other agents like
    humans or objects),
  * Based on well known and widely adopted open source projects (Blender for 3D
    rendering + UI, Bullet for physics simulation, dedicated robotic
    middlewares for communications + robot hardware support),
  * Seamless workflow: since the simulator rely on Blender for both modeling
    and the real time 3D engine, creating and modifying a simulated scene is
    straightforward.
  * Entirely scriptable in Python,
  * Adaptable to various level of simulation realism (for instance the
    simulation of exteroceptive sensors like cameras or a direct access to
    higher level representations of the world, like labeled artifacts),
  * Currently compatible with ROS, YARP and the LAAS OpenRobots robotics
    frameworks,
  * Easy to integrate to other environments via a simple socket interface,
  * Fully open source, BSD license.
 .
 This package contains morse data.

Package: morse-simulator-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-OpenRobot Simulation Engine - Documentation
 List of morse features:
  * Versatile simulator for generic mobile robots simulation
    (single or multi robots),
  * Realistic and dynamic environments (interaction with other agents like
    humans or objects),
  * Based on well known and widely adopted open source projects (Blender for 3D
    rendering + UI, Bullet for physics simulation, dedicated robotic
    middlewares for communications + robot hardware support),
  * Seamless workflow: since the simulator rely on Blender for both modeling
    and the real time 3D engine, creating and modifying a simulated scene is
    straightforward.
  * Entirely scriptable in Python,
  * Adaptable to various level of simulation realism (for instance the
    simulation of exteroceptive sensors like cameras or a direct access to
    higher level representations of the world, like labeled artifacts),
  * Currently compatible with ROS, YARP and the LAAS OpenRobots robotics
    frameworks,
  * Easy to integrate to other environments via a simple socket interface,
  * Fully open source, BSD license.
 .
 This package contains the documentation.


Package: python3-morse-simulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 ${python3:Depends}, morse-simulator-data
Conflicts: morse
Description: Multi-OpenRobot Simulation Engine
 List of morse features:
  * Versatile simulator for generic mobile robots simulation
    (single or multi robots),
  * Realistic and dynamic environments (interaction with other agents like
    humans or objects),
  * Based on well known and widely adopted open source projects (Blender for 3D
    rendering + UI, Bullet for physics simulation, dedicated robotic
    middlewares for communications + robot hardware support),
  * Seamless workflow: since the simulator rely on Blender for both modeling
    and the real time 3D engine, creating and modifying a simulated scene is
    straightforward.
  * Entirely scriptable in Python,
  * Adaptable to various level of simulation realism (for instance the
    simulation of exteroceptive sensors like cameras or a direct access to
    higher level representations of the world, like labeled artifacts),
  * Currently compatible with ROS, YARP and the LAAS OpenRobots robotics
    frameworks,
  * Easy to integrate to other environments via a simple socket interface,
  * Fully open source, BSD license.
 .
 This package contains the Python extension.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_DOC_SUPPORT=ON -DPYTHON_EXECUTABLE=/usr/bin/python3.3

override_dh_install:
	dh_install
	rm -fr $$(find $(CURDIR) -name '__pycache__')

override_dh_auto_test:

=== debian/watch ===
version=3
ftp://ftp.openrobots.org/pub/openrobots/morse/ morse-(.*).tar.bz2

## morse-simulator 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 set(PACKAGE_NAME morse)
-set(PACKAGE_VERSION "1.0.1")
+set(PACKAGE_VERSION "1.1")
 
 # only available from cmake-2.8.4
 if(COMMAND cmake_policy)
@@ -113,6 +113,7 @@
    )
 INSTALL(PROGRAMS
        ${CMAKE_CURRENT_BINARY_DIR}/bin/morserun.py
+       ${CMAKE_CURRENT_BINARY_DIR}/bin/morse_inspector
        ${CMAKE_CURRENT_BINARY_DIR}/bin/multinode_server.py
        DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
        )
@@ -132,6 +133,7 @@
 INSTALL(PROGRAMS
 		${CMAKE_CURRENT_BINARY_DIR}/bin/morse
 		${CMAKE_CURRENT_BINARY_DIR}/bin/morseexec
+		${CMAKE_CURRENT_SOURCE_DIR}/bin/morse_inspector
 		${CMAKE_CURRENT_BINARY_DIR}/bin/multinode_server
 		DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
 	    )
@@ -141,7 +143,7 @@
 ADD_SUBDIRECTORY(bindings)
 
 ###### Testing ######
-enable_testing()
+include( CTest )
 ADD_SUBDIRECTORY(testing)
 
 IF (BUILD_DOC_SUPPORT)
@@ -161,7 +163,8 @@
 	SET (SPHINX_LATEX_OUTPUT ${CMAKE_DOC_OUT}/tex)
 	SET (SPHINX_MAN_OUTPUT ${CMAKE_DOC_OUT}/man)
 	SET (SPHINX_FALSE_PYTHON_ENV ${CMAKE_CURRENT_BINARY_DIR}/fakeenv)
-	SET (PYTHON_DOC_ENV env PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}:${CMAKE_CURRENT_BINARY_DIR}/src:${SPHINX_FALSE_PYTHON_ENV}:${CMAKE_CURRENT_SOURCE_DIR}/src:${CMAKE_CURRENT_SOURCE_DIR}/testing:${CMAKE_CURRENT_SOURCE_DIR}/bindings/pymorse/src/:$$PYTHONPATH PYTHONDONTWRITEBYTECODE="morse" LANG="C.UTF-8" LC_ALL="C.UTF-8")
+
+	SET (PYTHON_DOC_ENV env PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}:${CMAKE_CURRENT_BINARY_DIR}/src:${SPHINX_FALSE_PYTHON_ENV}:${CMAKE_CURRENT_SOURCE_DIR}/src:${CMAKE_CURRENT_SOURCE_DIR}/testing:${CMAKE_CURRENT_SOURCE_DIR}/bindings/pymorse/src/:$$PYTHONPATH PYTHONDONTWRITEBYTECODE="morse" ${PYTHON_EXECUTABLE})
 	SET (SPHINX_BUILD_ENV ${PYTHON_DOC_ENV} ${SPHINX_BUILD})
 
 	# Copy the documentation in builddir, so we can include the generated part too
@@ -174,7 +177,7 @@
 	# Generate the documentation from the different components
 	ADD_CUSTOM_TARGET(
 		generate_doc ALL
-		COMMAND ${PYTHON_DOC_ENV} ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/doc/tools/generate_doc
+		COMMAND ${PYTHON_DOC_ENV} ${CMAKE_CURRENT_SOURCE_DIR}/doc/tools/generate_doc
 		WORKING_DIRECTORY ${SPHINX_SRC}/morse/user/
 	)
 
@@ -251,6 +254,13 @@
         								   ${SPHINX_MAN_OUTPUT} &&
 						  ${GZIP} -f ${SPHINX_MAN_OUTPUT}/*.1)
 		INSTALL(FILES ${SPHINX_MAN_OUTPUT}/morse.1.gz 
+					  ${SPHINX_MAN_OUTPUT}/morse-run.1.gz 
+					  ${SPHINX_MAN_OUTPUT}/morse-create.1.gz 
+					  ${SPHINX_MAN_OUTPUT}/morse-import.1.gz 
+					  ${SPHINX_MAN_OUTPUT}/morse-edit.1.gz 
+					  ${SPHINX_MAN_OUTPUT}/morse-check.1.gz 
+					  ${SPHINX_MAN_OUTPUT}/morse-add.1.gz 
+					  ${SPHINX_MAN_OUTPUT}/morse-rm.1.gz 
 					  ${SPHINX_MAN_OUTPUT}/morseexec.1.gz 
 					  ${SPHINX_MAN_OUTPUT}/multinode_server.1.gz
 			DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1
@@ -275,35 +285,6 @@
 ENDIF()
 ENDIF()
 
-### CPack ###
-EXECUTE_PROCESS(COMMAND
-				which dpkg
-					OUTPUT_VARIABLE SYSTEST_DPKG)
-EXECUTE_PROCESS(COMMAND
-				which rpm
-					OUTPUT_VARIABLE SYSTEST_RPM)
-IF (SYSTEST_DPKG)
-	SET(CPACK_GENERATOR "DEB")
-ELSEIF (SYSTEST_RPM)
-	SET(CPACK_GENERATOR "RPM")
-ELSE ()
-	SET(CPACK_GENERATOR "TGZ")
-ENDIF()
-# TODO find a better way to check debian or redhat ?
-
-SET(CPACK_PACKAGE_CONTACT "morse-users <morse-users@laas.fr>")
-SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
-SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "MORSE the Open Robots Simulator")
-SET(CPACK_PACKAGE_NAME "openrobots-morse")
-SET(CPACK_PACKAGE_VENDOR "CNRS/LAAS")
-SET(CPACK_PACKAGE_VERSION ${PACKAGE_VERSION})
-SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
-SET(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README")
-
-SET(CPACK_DEBIAN_PACKAGE_DEPENDS "python3.2-dev")
-SET(CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://morse.openrobots.org")
-
-INCLUDE(CPack)
 
 ### Uninstall ###
 configure_file("${CMAKE_HOME_DIRECTORY}/config/cmake_uninstall.cmake.in" "cmake_uninstall.cmake" IMMEDIATE @ONLY)

=== debian/changelog ===
morse-simulator (1.1-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable
  * Also ship pymorse

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 13 Sep 2013 08:43:02 +0200

morse-simulator (1.1~beta1-1) experimental; urgency=low

  * Upload of a dev release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Sep 2013 14:55:34 +0200

morse-simulator (1.0.1-3) unstable; urgency=low

  * ACK NMU. Thanks Scott.
  * Provides the correct breaks / replaces (Closes: #714603)
  * Ignore python-script-but-no-python-dep on morse-simulator-doc

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 13 Aug 2013 13:59:37 +0200

morse-simulator (1.0.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix python3 related dependency issues (Closes: #712014):
    - Fix configure to use /usr/bin/python3 instead of python3.3 explicitly
      and override upstream definition of CPACK_DEBIAN_PACKAGE_DEPENDS so that
      packages end up with correct depends
    - Add X-Python3-Version: >= 3.2 to debian control to set the minimum
      supported python3 version
    - Add python3-morse-simulator to morse-simulator depends

 -- Scott Kitterman <scott@kitterman.com>  Wed, 19 Jun 2013 16:14:43 -0400

morse-simulator (1.0.1-2) unstable; urgency=low

  * Only delete the Javascript when the doc package is built
    (Closes: #708285)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 May 2013 10:55:59 +0200

morse-simulator (1.0.1-1) unstable; urgency=low

  * Upload to unstable
  * Standards-Version updated to 3.9.4
  * Remove embedded-javascript-library (jquery & underscore)
  * Dependency on morse-simulator-data from python3-morse-simulator removed

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 06 May 2013 10:05:21 +0200

## morse-simulator 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 set(PACKAGE_NAME morse)
-set(PACKAGE_VERSION "1.1")
+set(PACKAGE_VERSION "1.1.1")
 
 # only available from cmake-2.8.4
 if(COMMAND cmake_policy)

=== testing/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 if (BUILD_CORE_SUPPORT)
 	add_subdirectory(base)
+	add_subdirectory(failures)
 	add_subdirectory(robots/human)
 	add_subdirectory(robots/segway)
 	add_subdirectory(robots/pr2)

=== testing/base/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 # Base concept 
 
 add_morse_test(base_testing)
+add_morse_test(renaming_testing)
+add_morse_test(builder_wheeled_robot)
+add_morse_test(friction_testing)
 add_morse_test(levels)
 
 # Sensor
@@ -16,7 +19,9 @@
 add_morse_test(semantic_camera_testing)
 add_morse_test(thermometer_testing)
 add_morse_test(search_and_rescue_testing)
-add_morse_test(video_camera_pgm_testing)
+add_morse_test(velocity_testing)
+add_morse_test(video_camera_testing)
+add_morse_test(collision_testing)
 
 # Actuator
 
@@ -40,7 +45,9 @@
 # Modifier
 
 add_morse_test(ned_testing)
-add_morse_test(utm_mod_testing)
+add_morse_test(utm_testing)
+add_morse_test(pose_noise_testing)
+add_morse_test(imu_noise_testing)
 
 # Services

=== testing/robots/human/CMakeLists.txt ===
add_morse_test(human_pose)
add_morse_test(multiple_human)

=== src/morse/middleware/pocolibs/CMakeLists.txt ===
--- 
+++ 
@@ -27,8 +27,8 @@
 	include_directories(${POCOLIBS_INCLUDE_DIRS})
 	link_directories(${POCOLIBS_LIBRARY_DIRS})
 
-	pkg_check_modules(STEREOPIXELE REQUIRED stereopixel)
-	include_directories(${VIAM_INCLUDE_DIRS})
+	pkg_check_modules(STEREOPIXEL REQUIRED stereopixel)
+	include_directories(${STEREOPIXEL_INCLUDE_DIRS})
 
 	python_add_module(stereopixel sensors/stereopixel.c)
 	target_link_libraries(stereopixel ${POCOLIBS_LIBRARIES})

=== debian/changelog ===
morse-simulator (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 21 Nov 2013 15:29:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Séverin Lemaignan <severin@guakamole.org>
 Build-Depends: debhelper (>= 8.0.0), cmake, python3.3-dev, python3-dev,
  python3-sphinx, pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://morse.openrobots.org/
+X-Python3-Version: >= 3.2
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/morse/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/morse/trunk/
 
 
 Package: morse-simulator
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, blender (>= 2.59),
- ${python3:Depends}, morse-simulator-data
+Depends: ${shlibs:Depends}, ${misc:Depends}, blender (>= 2.63a-3),
+ ${python3:Depends},, python3-morse-simulator (= ${binary:Version}),
+ morse-simulator-data
 Recommends: morse-simulator-doc
 Conflicts: morse
 Description: Multi-OpenRobot Simulation Engine
@@ -67,7 +69,7 @@
 Package: morse-simulator-doc
 Section: doc
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery, libjs-underscore
 Description: Multi-OpenRobot Simulation Engine - Documentation
  List of morse features:
   * Versatile simulator for generic mobile robots simulation
@@ -95,8 +97,10 @@
 Package: python3-morse-simulator
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- ${python3:Depends}, morse-simulator-data
+ ${python3:Depends}
 Conflicts: morse
+Replaces: morse-simulator (<< 1.0.1-2)
+Breaks: morse-simulator (<< 1.0.1-2)
 Description: Multi-OpenRobot Simulation Engine
  List of morse features:
   * Versatile simulator for generic mobile robots simulation

## morse-simulator 1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 set(PACKAGE_NAME morse)
-set(PACKAGE_VERSION "1.1.1")
+set(PACKAGE_VERSION "1.2")
 
 # only available from cmake-2.8.4
 if(COMMAND cmake_policy)

=== bindings/CMakeLists.txt ===

if (PYMORSE_SUPPORT)
	install(DIRECTORY pymorse/src/pymorse
        DESTINATION ${PYTHON_INSTDIR}
        REGEX .*py.$ EXCLUDE
        )
endif()

=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY(morse)

=== testing/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,9 @@
 	add_subdirectory(base)
 	add_subdirectory(failures)
 	add_subdirectory(robots/human)
+	add_subdirectory(robots/rmax)
 	add_subdirectory(robots/segway)
+	add_subdirectory(robots/submarine)
 	add_subdirectory(robots/pr2)
 	add_subdirectory(robots/pionner3dx)
 endif()

=== testing/base/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 add_morse_test(armature_pose_testing)
 add_morse_test(battery_testing)
+add_morse_test(depth_camera_testing)
 add_morse_test(gps_testing)
 add_morse_test(gyroscope_testing)
 add_morse_test(odometry_testing)

=== examples/clients/scene/Makefile ===
# Makefile to compile control scripts

# Location of include libraries
OPENROBOTS_BASE = $(HOME)/openrobots

CC = g++

CFLAGS = -g -I$(OPENROBOTS_BASE)/include
LDFLAGS = -L$(OPENROBOTS_BASE)/lib -lYARP_OS -Wl,-rpath,$(OPENROBOTS_BASE)/lib

SCENE = scene_init-2.0

all: $(SCENE)

$(SCENE): $(SCENE).o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

%.o: %.cpp
	$(CC) $(CFLAGS) -c -o $@ $^

tags:
	ctags *c *.h

clean:
	-rm -f *.o

distclean: clean
	rm -f ${SCENE}

.PHONY: all clean tags

=== src/morse/middleware/CMakeLists.txt ===

if (BUILD_CORE_SUPPORT)
INSTALL(FILES __init__.py abstract_datastream.py socket_datastream.py text_datastream.py socket_request_manager.py 
	    DESTINATION ${PYTHON_INSTDIR}/morse/middleware
		)

INSTALL(DIRECTORY sockets
		 DESTINATION ${PYTHON_INSTDIR}/morse/middleware)
endif()

IF(BUILD_YARP2_SUPPORT)
	INSTALL(DIRECTORY yarp
        DESTINATION ${PYTHON_INSTDIR}/morse/middleware
        REGEX .*py.$ EXCLUDE
        )
	INSTALL(FILES yarp_datastream.py yarp_request_manager.py yarp_json_request_manager.py
		DESTINATION ${PYTHON_INSTDIR}/morse/middleware
		)
ENDIF(BUILD_YARP2_SUPPORT)

IF(BUILD_POCOLIBS_SUPPORT)
	ADD_SUBDIRECTORY(pocolibs)
	INSTALL(FILES pocolibs_datastream.py pocolibs_request_manager.py
			DESTINATION ${PYTHON_INSTDIR}/morse/middleware)
ENDIF(BUILD_POCOLIBS_SUPPORT)

IF(BUILD_ROS_SUPPORT)
  INSTALL(DIRECTORY ros
        DESTINATION ${PYTHON_INSTDIR}/morse/middleware
        REGEX .*py.$ EXCLUDE
        )
  INSTALL(FILES ros_datastream.py ros_request_manager.py
			DESTINATION ${PYTHON_INSTDIR}/morse/middleware
      )
ENDIF(BUILD_ROS_SUPPORT)

IF(BUILD_MOOS_SUPPORT)
  INSTALL(DIRECTORY moos
        DESTINATION ${PYTHON_INSTDIR}/morse/middleware
        REGEX .*py.$ EXCLUDE
        )
  INSTALL(FILES moos_datastream.py 
	    DESTINATION ${PYTHON_INSTDIR}/morse/middleware
		)
ENDIF(BUILD_MOOS_SUPPORT)

=== src/morse/multinode/CMakeLists.txt ===
if (BUILD_CORE_SUPPORT)
INSTALL(FILES __init__.py socket.py
	    DESTINATION ${PYTHON_INSTDIR}/morse/multinode
		)
endif(BUILD_CORE_SUPPORT)

IF(BUILD_HLA_SUPPORT)
    INSTALL(FILES hla.py
        DESTINATION ${PYTHON_INSTDIR}/morse/multinode)
    INSTALL(FILES morse.fed
        DESTINATION share/federations)
ENDIF(BUILD_HLA_SUPPORT)

=== src/morse/sensors/CMakeLists.txt ===
#PYTHON_ADD_MODULE(sickc sickcmodule.c)
#INSTALL(TARGETS sickc DESTINATION ${PYTHON_INSTDIR}/morse/sensors)
		

PYTHON_ADD_MODULE(zbuffertodepth zbuffertodepth.c)
INSTALL(TARGETS zbuffertodepth DESTINATION ${PYTHON_INSTDIR}/morse/sensors)

PYTHON_ADD_MODULE(zbufferto3d zbufferto3d.c)
INSTALL(TARGETS zbufferto3d DESTINATION ${PYTHON_INSTDIR}/morse/sensors)

# install python files
FILE(GLOB PYTHON_FILES *.py)
INSTALL(FILES ${PYTHON_FILES} DESTINATION ${PYTHON_INSTDIR}/morse/sensors)

=== testing/middlewares/yarp/CMakeLists.txt ===
add_morse_test(yarp_datastream_testing)

=== testing/robots/human/CMakeLists.txt ===
add_morse_test(human_pose)
add_morse_test(multiple_human)
add_morse_test(human_service)

=== testing/robots/pionner3dx/CMakeLists.txt ===
add_morse_test(pionner3dx_testing)

=== debian/changelog ===
morse-simulator (1.2-1ubuntu1) trusty; urgency=medium

  * Remove build-dependency on python3.3-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 13:14:34 +0100

morse-simulator (1.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 01 Feb 2014 17:19:59 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Séverin Lemaignan <severin@guakamole.org>
-Build-Depends: debhelper (>= 8.0.0), cmake, python3.3-dev, python3-dev,
+Build-Depends: debhelper (>= 8.0.0), cmake, python3-dev,
  python3-sphinx, pkg-config
 Standards-Version: 3.9.4
 Homepage: http://morse.openrobots.org/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_DOC_SUPPORT=ON -DPYTHON_EXECUTABLE=/usr/bin/python3 \
		 -DCPACK_DEBIAN_PACKAGE_DEPENDS=python3-all-dev -DPYMORSE_SUPPORT=ON

override_dh_install:
	dh_install
	rm -fr $$(find $(CURDIR) -name '__pycache__')
	if test -d $(CURDIR)/debian/morse-simulator-doc/usr/share/doc/morse/html/_static/; then \
		cd $(CURDIR)/debian/morse-simulator-doc/usr/share/doc/morse/html/_static/ && \
		rm -f jquery.js underscore.js && \
		ln -s /usr/share/javascript/jquery/jquery.js && \
		ln -s /usr/share/javascript/jquery/underscore.js; \
	fi

override_dh_auto_test:

## morse-simulator 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 set(PACKAGE_NAME morse)
-set(PACKAGE_VERSION "1.2")
+set(PACKAGE_VERSION "1.2.1")
 
 # only available from cmake-2.8.4
 if(COMMAND cmake_policy)

=== debian/changelog ===
morse-simulator (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 14 Jul 2014 15:08:47 +0200

morse-simulator (1.2-3) unstable; urgency=medium

  * ACK NMU. Thanks Scott
  * Relax the maximal version of blender (Closes: #751901)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 02 Jul 2014 09:34:35 +0200

morse-simulator (1.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unneeded build-dep on python3.3-dev to support python3.3 removal
    (Closes: #751650)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 19 Jun 2014 22:09:44 -0400

morse-simulator (1.2-2) unstable; urgency=medium

  * Add python-concurrent.futures to the build dep to make the build
    work under kfreebsd

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 24 Feb 2014 17:39:26 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Séverin Lemaignan <severin@guakamole.org>
 Build-Depends: debhelper (>= 8.0.0), cmake, python3-dev,
- python3-sphinx, pkg-config
-Standards-Version: 3.9.4
+ python3-sphinx, pkg-config, python-concurrent.futures
+Standards-Version: 3.9.5
 Homepage: http://morse.openrobots.org/
 X-Python3-Version: >= 3.2
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/morse/trunk/

=== debian/watch ===


## morse-simulator 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 set(PACKAGE_NAME morse)
-set(PACKAGE_VERSION "1.2.1")
+set(PACKAGE_VERSION "1.2.2")
 
 # only available from cmake-2.8.4
 if(COMMAND cmake_policy)

=== debian/changelog ===
morse-simulator (1.2.2-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 27 Apr 2015 18:56:58 +0200

morse-simulator (1.2.2-1~exp1) experimental; urgency=medium

  * New upstream release
  * Standards-Version updated to 3.9.6

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Dec 2014 13:31:42 +0100

morse-simulator (1.2.1-2) unstable; urgency=medium

  [ Tobias Hansen ]
  * Allow running with Blender 2.72. (Closes: #771132)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 21 Dec 2014 19:10:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Séverin Lemaignan <severin@guakamole.org>
 Build-Depends: debhelper (>= 8.0.0), cmake, python3-dev,
  python3-sphinx, pkg-config, python-concurrent.futures
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://morse.openrobots.org/
 X-Python3-Version: >= 3.2
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/morse/trunk/

## morse-simulator 1.3

=== debian/changelog ===
morse-simulator (1.3-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 17 Aug 2015 18:57:49 +0200

morse-simulator (1.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload, with maintainer's permission.
  * Update morse-theme for Sphinx 1.3 (closes: #792711).
    - Bump python3-sphinx build-dependency.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Aug 2015 10:42:15 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Séverin Lemaignan <severin@guakamole.org>
 Build-Depends: debhelper (>= 8.0.0), cmake, python3-dev,
- python3-sphinx, pkg-config, python-concurrent.futures
+ python3-sphinx (>= 1.3), pkg-config, python-concurrent.futures
 Standards-Version: 3.9.6
 Homepage: http://morse.openrobots.org/
 X-Python3-Version: >= 3.2
